package com.zjty.inspect.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <h4>Description : 适配难度评估</h4>
 *
 * @author : M@tr!x [xhyrzldf@foxmail.com]
 * @Date : 2020-03-05 19:09
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "适配难度评估")
public class DifficultyAssessment {
    /**
     * 1．描述
     6．数据库
     7．本地程序
     */
    private String des;

    /**
     * 系统部署架构难度
     */
    private FrameDifficulty frameDifficulty = new FrameDifficulty();

    /**
     * 浏览器难度
     */
    private BrowserDifficulty browserDifficulty = new BrowserDifficulty();

    /**
     * 中间件难度
     */
    private MiddlewareDifficulty middlewareDifficulty = new MiddlewareDifficulty();

    /**
     * 数据库难度
     */
    private DatabaseDifficulty databaseDifficulty = new DatabaseDifficulty();

    /**
     * 本地程序难度
     */
    private ProgramDifficulty programDifficulty = new ProgramDifficulty();
}
